## libreoffice-templates 0.1.20120814

=== Makefile ===
# -*- Mode: makefile-gmake; tab-width: 4; indent-tabs-mode: t -*-
#
# This file is part of the LibreOffice project.
#
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
#

SRCDIR:=$(firstword $(dir $(MAKEFILE_LIST)))
include $(SRCDIR)config.mk

presentationdir:=$(templatedir)/presnt

.PHONY: all install clean mostlyclean TAGS info dvi check dist uninstall
clean mostlyclean TAGS info dvi check: all
dist: uninstall

all:
	$(info Pretending to work hard.)
	@true

install:
	install -d $(presentationdir)
	install -t $(presentationdir) $(wildcard $(SRCDIR)src/presnt/*)

uninstall:
	$(info Sorry, not implemented.)
	@false

distclean:
	rm -f $(SRCDIR)config.mk $(SRCDIR)config.log $(SRCDIR)config.status

# vim: set noet sw=4 ts=4:

=== debian/changelog ===
libreoffice-templates (0.1.20120814-0ubuntu4) noble; urgency=medium

  * No change rebuild to gain buildinfo.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Sat, 17 Feb 2024 18:49:46 +0000

libreoffice-templates (0.1.20120814-0ubuntu3) wily; urgency=medium

  * dont fail on distclean without config

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Mon, 05 Oct 2015 17:47:42 +0200

libreoffice-templates (0.1.20120814-0ubuntu2) quantal; urgency=low

  * debian/control:
    - clean un-necessary XSBC-Original-Maintainer
    - updated Standards-Version
  * debian/copyright:
    - replace blank lines with "." in the license's text
  * debian/rules:
    - don't set templates +x

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 14 Aug 2012 19:20:34 +0200

libreoffice-templates (0.1.20120814-0ubuntu1) quantal; urgency=low

  * Initial release (LP: #1036635)

 -- Bjoern Michaelsen <bjoern.michaelsen@canonical.com>  Tue, 14 Aug 2012 14:17:57 +0200

=== debian/control ===
Source: libreoffice-templates
Section: editors
Priority: extra
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), autotools-dev
Standards-Version: 3.9.3
Homepage: https://www.libreoffice.org/
#Vcs-Git: git://git.debian.org/collab-maint/libreoffice-templates.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/libreoffice-templates.git;a=summary

Package: libreoffice-templates
Architecture: all
Depends: ${misc:Depends}
Description: Additional set of templates for LibreOffice
 Additional set of templates for:
  - LibreOffice Calc spreadsheets
  - LibreOffice Writer texts
  - LibreOffice Impress presentations

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CURDIR:=$(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)

%:
	dh $@ 

override_dh_auto_configure:
	dh_auto_configure -- --prefix=$(CURDIR)/debian/libreoffice-templates/usr/
	
override_dh_fixperms:
	dh_fixperms
	chmod -x $(CURDIR)/debian/libreoffice-templates/usr/lib/libreoffice/share/template/en-US/presnt/*
